Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Arrêt de maintenance pour Fedora 28

#1 Re : [F30] Support général » [Résolu] impossible de regarder les chaines de la freebox avec vlc » 16/08/2019 20:37:06

Aussi in croyable que ça puisse être, figurez-vous que maintenant ça marche !!!

> rpm -q vlc
vlc-3.0.7.1-3.fc30.x86_64

Je fais régulièrement des mises à jour du système avec yum.

#2 Re : [F30] Support général » [Résolu] impossible de regarder les chaines de la freebox avec vlc » 08/08/2019 02:54:43

Refuznik a écrit :

En fait c'est marqué dans ton message d'erreur : SETUP of'video/MP2T' failed 453 Not Enough Bandwidth

Pas assez de bande passante pour pouvoir ouvrir le flux vidéo. Si tu es en wifi, ça peux venir là peut-être.

Je ne suis pas en wifi.
Je suis fibré. Je n'ai aucun problème de bande passante.
Maintenant les erreurs sont:

~> vlc http://mafreebox.freebox.fr/freeboxtv/playlist.m3u
VLC media player 3.0.7.1 Vetinari (revision 3.0.7.1-0-gf3940db4af)
[000055ffa0133570] main libvlc: Lancement de vlc avec l'interface par défaut. Utiliser « cvlc » pour démarrer VLC sans interface.
Created new TCP socket 36 for connection
[00007f29000d0930] mpeg4audio packetizer: AAC channels: 2 samplerate: 24000
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_1_4
Segmentation fault (core dumped)

#3 [F30] Support général » [Résolu] impossible de regarder les chaines de la freebox avec vlc » 07/08/2019 19:56:19

fredo8
Réponses : 5

Bonjour,

Je n 'arrive plus à regarder la télé de ma freebox avec vlc:

~> vlc http://mafreebox.freebox.fr/freeboxtv/playlist.m3u
VLC media player 3.0.7.1 Vetinari (revision 3.0.7.1-0-gf3940db4af)
[000055650d88c570] main libvlc: Lancement de vlc avec l'interface par défaut. Utiliser « cvlc » pour démarrer VLC sans interface.
Created new TCP socket 36 for connection
[00007fcca0001140] live555 demux error: SETUP of'video/MP2T' failed 453 Not Enough Bandwidth
[00007fcca0001140] live555 demux error: Nothing to play for rtsp://192.168.0.16:554/fbxdvb/stream?tsid=6&nid=8442&sid=1537&frontend=1
[00007fcca00c28f0] satip stream error: Failed to setup RTSP session
Created new TCP socket 38 for connection
[00007fcc880cfff0] mpeg4audio packetizer: AAC channels: 2 samplerate: 48000
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_1_4
zsh: segmentation fault (core dumped)  vlc http://mafreebox.freebox.fr/freeboxtv/playlist.m3u

Petite précision: je n'ai jamais eut de problème avant. Cela fait plusieurs années que je regarde la tv de ma freebox avec vlc sur ma fedora.

#4 Re : [F30] Support général » [Résolu] supprimer la pub de youtube » 28/06/2019 15:02:04

Excusez-moi d'arriver un peu tard sur ce post, mais il existe un moyen très simple de se débarrasser des pubs de youtube !!
Il suffit d'installer le script shell youtube-dl qui se trouve dans les dépôts.

~# dnf install youtube-dl -y

Puis, pour récupérer une vidéo de youtube sans la pub, toujours en ligne de commande:

On a alors téléchargé la vidéo sans pub !!!

#5 Re : A propos de fedora-fr » Mettre à jour la page d'accueil du site fedora-fr (on est à f29) » 18/05/2019 05:49:32

Bonjour,

Même chose, mais fedora n+1. wink

Sur la page d’accueil du site il est écrit: "Fedora 28 est là !"
Maintenant, Fedora 29 est là ... wink

On est à Fedora 30 maintenant, et il est écrit sur la page d'accueil: "Fedora 29 est là !"

#6 Re : [F29] Support général » Ecran économie d’énergie ne fonctionne plus » 20/02/2019 23:38:56

Nicosss a écrit :

Tu n'as pas un lecteur multimédia qui t'empêcherait l'activation de l'écran de veille, même dans ton navigateur web ?

Je n'ai aucun lecteur multimedia en fonction au moment où je laisse mon PC seul.

#7 [F29] Support général » Ecran économie d’énergie ne fonctionne plus » 20/02/2019 19:50:12

fredo8
Réponses : 2

Bonjour,

Afin d'économiser mon écran lorsque mon pc est allumé et que je ne suis pas derrière l'écran, avant j'avais l'écran de veille qui s'affichait.
Menu Paramètres -> Energie -> Ecran noir <reglage des minutes>
En général je le réglais à une minute et ça a toujours très bien fonctionné.
Mais là, depuis plusieurs semaines, si je laisse mon PC inactif, l'écran de veille ne se déclenche plus du tout.
Que faire ?

#8 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 18:34:00

Nicosss a écrit :

Tu n'as rien dans ton .bashrc ? Bien que s'il y a 2 utilisateurs concernés ça m'étonnerait.

Pour information, mon shell 'est pas bash, mais zsh !!!
Et puis, c'est pas aussi simple que  ce que je pensais ...
En effet, autant repartir avec une configuration nouvelle pour tout, plutôt que de chercher un  à un le fichier qui empêche ce lancement.

#9 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 17:51:52

Nicosss a écrit :

Et avec un autre utilisateur !

Dans un premier temps, je remet l'utilisateur builder à mon système. Avec son /home/builder qui contient tout ce que j'avais déjà créer avec cet utilisateur. Je me déconnecte, puis je me connecte en  builder.
Là, j'essaye de lancer un  gnome-terminal.
Problème identique: il ne se lance pas.

Du coup, je crée  vraiment un nouvel utilisateur, vierge de tout compte sur mon PC, sans aucun home déjà prêt.
--> Déconnexion, puis reconnexion sur ce nouveau compte tout frais ,tout neuf.

Effectivement, là ça marche !!! Sur ce nouveau compte, j'arrive à lancer gnome-terminal !!!!

J'étais loin de penser que c'était dans mon home qu'il y avait un problème puisque sous F28 je lançais tous les jours des terminaux !!!
Reste maintenant à fouiller dans mes fichiers .* pour trouver d'où vient le pb, mais ça c'est rien  à faire !!

#10 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 17:05:56

Pareil:

~> dbus-launch gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de l'appel de StartServiceByName pour org.gnome.Terminal : GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.gnome.Terminal exited with status 8
 

#11 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 16:42:50

Nicosss a écrit :

Donc entre tes MàJ du système il y a bien eu l'installation de paquets, donc le problème vient peut-être de l'un d'eux.

Non,  car la toute première fois que j'ai installé F29, je l'ai fait via dnf.
Au redémarrage j'ai constaté qu'il y avait un problème pour lancer un terminal, alors comme ça faisait plusieurs version de Fedora que je  n'a vais pas formaté mon / , j'ai recommencé une installation en formatant le / .
Car ça fait du bien de formater le / de temps en temps et de tout réinstaller de A à Z.

Nicosss a écrit :

Tu as essayé avec un autre utilisateur ?

Non

Nicosss a écrit :

Tu peux accéder aux préférences ?

$ gnome-terminal --preferences

Non, ça ne marche pas:

~> gnome-terminal --preferences
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de l'appel de StartServiceByName pour org.gnome.Terminal : Le délai d'attente est dépassé
 

#12 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 14:54:19

Nicosss a écrit :

Si personne n'arrive à le reproduire alors j'ai un doute sur le fait que tu n'ais rien modifié entre l'installation et la MàJ... déjà il semble y avoir des dépôts qui sont apparus...

Depuis que je l'ai installée hier,  bien  sur que j'ai installé des dépôts et des paquets, ça n 'est plus une installation  toute fraîche. Mais elle n'a que 2 jours d’existence ..

Nicosss a écrit :

Le Home a été reconduit ou il est vierge aussi ? Avec un autre utilisateur même souci je présume ?

J'ai  conservé mes données dans mon home. Donc, j'ai formaté le / mais PAS la partition  /home.

Nicosss a écrit :

Que retourne

$ journalctl _EXE=/usr/libexec/gnome-terminal-server
~> journalctl _EXE=/usr/libexec/gnome-terminal-server
-- Logs begin at Sat 2018-11-03 09:30:01 CET, end at Sun 2018-11-04 13:23:45 CET. --
nov. 03 09:32:00 localhost.localdomain gnome-terminal-server[2183]: Display does not support owner-change; copy/paste will be broken!
-- Reboot --
nov. 03 09:57:14 localhost.localdomain gnome-terminal-server[2075]: Display does not support owner-change; copy/paste will be broken!
nov. 03 10:07:50 localhost.localdomain gnome-terminal-[2075]: gtk_widget_get_realized: assertion 'GTK_IS_WIDGET (widget)' failed
-- Reboot --
nov. 03 11:22:39 localhost.localdomain gnome-terminal-server[2057]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 11:53:40 localhost.localdomain gnome-terminal-server[7996]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 03 11:55:22 localhost.localdomain gnome-terminal-server[2149]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 12:07:03 localhost.localdomain gnome-terminal-server[4359]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 03 12:44:08 localhost.localdomain gnome-terminal-server[2179]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 12:46:34 localhost.localdomain gnome-terminal-server[2932]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 12:53:41 localhost.localdomain gnome-terminal-server[3720]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 12:57:01 localhost.localdomain gnome-terminal-server[4099]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 12:59:03 localhost.localdomain gnome-terminal-server[5153]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 13:01:59 localhost.localdomain gnome-terminal-server[6161]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 13:12:52 localhost.localdomain gnome-terminal-server[6903]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 13:49:18 localhost.localdomain gnome-terminal-server[14243]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 13:51:56 localhost.localdomain gnome-terminal-server[14923]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 13:59:01 localhost.localdomain gnome-terminal-server[15321]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 15:54:36 localhost.localdomain gnome-terminal-server[18952]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 03 16:10:35 localhost.localdomain gnome-terminal-server[2186]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 16:18:44 localhost.localdomain gnome-terminal-server[3499]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 03 18:33:12 localhost.localdomain gnome-terminal-server[2185]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 18:39:33 localhost.localdomain gnome-terminal-server[3088]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 18:41:40 localhost.localdomain gnome-terminal-server[3282]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 19:12:37 localhost.localdomain gnome-terminal-server[4905]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 04 01:19:50 localhost.localdomain gnome-terminal-server[3401]: Non UTF-8 locale (ISO-8859-1) is not supported!
-- Reboot --
nov. 04 03:52:40 localhost.localdomain gnome-terminal-server[2205]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 04 03:56:10 localhost.localdomain gnome-terminal-server[3526]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 04 04:00:51 localhost.localdomain gnome-terminal-server[4043]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 04 04:03:00 localhost.localdomain gnome-terminal-server[4145]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 04 04:27:50 localhost.localdomain gnome-terminal-server[5349]: Non UTF-8 locale (ISO-8859-1) is not supported!

Mes Dépôts sont les suivants:

~# dnf repolist
Dernière vérification de l'expiration des métadonnées effectuée il y a 2:19:51 le dim. 04 nov. 2018 11:07:33 CET.
id du dépôt                 nom du dépôt                                  état
adobe-linux-i386            Adobe Systems Incorporated                         3
adobe-linux-x86_64          Adobe Systems Incorporated                         3
*fedora                     Fedora 29 - x86_64                            58 215
*fedora-modular             Fedora Modular 29 - x86_64                         3
google-chrome               google-chrome                                      3
*rpmfusion-free             RPM Fusion for Fedora 29 - Free                  596
*rpmfusion-free-updates     RPM Fusion for Fedora 29 - Free - Updates         13
*rpmfusion-nonfree          RPM Fusion for Fedora 29 - Nonfree               228
*rpmfusion-nonfree-updates  RPM Fusion for Fedora 29 - Nonfree - Updates       4
*updates                    Fedora 29 - x86_64 - Updates                   3 524
*updates-modular            Fedora Modular 29 - x86_64 - Updates               3

#13 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 12:10:28

Jonathan raspaut a écrit :

As tu tenté ?

sudo dnf install langpacks-fr

Non, je n'avais pas essayé ça.
Je viens de la faire, mais le problème est toujours là. :'(

#14 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 11:50:42

Nicosss a écrit :

Etrange, édite ton fichier /etc/locale.conf et remplace LANG=en_US.UTF-8 par LANG="fr_FR.UTF-8".

~> cat /etc/locale.conf 
LANG="fr_FR.UTF-8"

~> gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de l'appel de StartServiceByName pour org.gnome.Terminal : Le délai d'attente est dépassé

Le problème persiste.
Mais je suis le seul à ne pas pouvoir lancer un  gnome-terminal ???
Ou bien  y'a-t-il d'autres personnes dans le cas que moi ?

#15 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 10:59:20

Nicosss a écrit :

Que retourne

$ systemctl status dbus-org.freedesktop.locale1.service
$ cat /etc/locale.conf
~> systemctl status dbus-org.freedesktop.locale1.service
* systemd-localed.service - Locale Service
   Loaded: loaded (/usr/lib/systemd/system/systemd-localed.service; static; vendor preset: disabled)
   Active: inactive (dead)
     Docs: man:systemd-localed.service(8)
           man:locale.conf(5)
           man:vconsole.conf(5)
           https://www.freedesktop.org/wiki/Software/systemd/localed

nov. 04 09:40:20 localhost systemd[1]: Starting Locale Service...
nov. 04 09:40:20 localhost systemd[1]: Started Locale Service.
nov. 04 09:50:03 localhost systemd[1]: Starting Locale Service...
nov. 04 09:50:03 localhost systemd[1]: Started Locale Service.

~> cat /etc/locale.conf
LANG=en_US.UTF-8

Si tu démarres sous Xorg depuis le GDM tu as le même souci ?

Oui

Ce matin, il y a eut plein de mises à jour, mais le problème est toujours là.

Mis à niveau:
  NetworkManager-1:1.12.4-2.fc29.x86_64                        NetworkManager-adsl-1:1.12.4-2.fc29.x86_64                   NetworkManager-bluetooth-1:1.12.4-2.fc29.x86_64           NetworkManager-config-connectivity-fedora-1:1.12.4-2.fc29.noarch        
  NetworkManager-libnm-1:1.12.4-2.fc29.x86_64                  NetworkManager-ppp-1:1.12.4-2.fc29.x86_64                    NetworkManager-team-1:1.12.4-2.fc29.x86_64                NetworkManager-wifi-1:1.12.4-2.fc29.x86_64                              
  NetworkManager-wwan-1:1.12.4-2.fc29.x86_64                   autocorr-en-1:6.1.2.1-2.fc29.noarch                          cryptsetup-2.0.5-1.fc29.x86_64                            cryptsetup-libs-2.0.5-1.fc29.x86_64                                     
  dconf-0.30.1-1.fc29.x86_64                                   epiphany-runtime-1:3.30.2-1.fc29.x86_64                      evince-3.30.2-1.fc29.x86_64                               evince-djvu-3.30.2-1.fc29.x86_64                                        
  evince-libs-3.30.2-1.fc29.x86_64                             evince-nautilus-3.30.2-1.fc29.x86_64                         evolution-3.30.2-2.fc29.x86_64                            evolution-data-server-3.30.2-1.fc29.x86_64                              
  evolution-data-server-langpacks-3.30.2-1.fc29.noarch         evolution-ews-3.30.2-1.fc29.x86_64                           evolution-ews-langpacks-3.30.2-1.fc29.noarch              evolution-help-3.30.2-2.fc29.noarch                                     
  evolution-langpacks-3.30.2-2.fc29.noarch                     firefox-63.0.1-1.fc29.x86_64                                 firewalld-0.6.3-1.fc29.noarch                             firewalld-filesystem-0.6.3-1.fc29.noarch                                
  gedit-2:3.30.2-1.fc29.x86_64                                 gjs-1.54.2-1.fc29.x86_64                                     glibmm24-2.58.0-1.fc29.x86_64                             gnome-clocks-3.30.1-1.fc29.x86_64                                       
  gnome-control-center-3.30.2-1.fc29.x86_64                    gnome-control-center-filesystem-3.30.2-1.fc29.noarch         gnome-desktop3-3.30.2-1.fc29.x86_64                       gnome-disk-utility-3.30.2-1.fc29.x86_64                                 
  gnome-maps-3.30.2-1.fc29.x86_64                              gnome-system-monitor-3.30.0-1.fc29.x86_64                    gnome-user-docs-3.30.2-1.fc29.noarch                      httpd-2.4.37-2.fc29.x86_64                                              
  httpd-filesystem-2.4.37-2.fc29.noarch                        httpd-tools-2.4.37-2.fc29.x86_64                             hwdata-0.317-1.fc29.noarch                                ibus-1.5.19-7.fc29.x86_64                                               
  ibus-gtk2-1.5.19-7.fc29.x86_64                               ibus-gtk3-1.5.19-7.fc29.x86_64                               ibus-libs-1.5.19-7.fc29.x86_64                            ibus-setup-1.5.19-7.fc29.noarch                                         
  iio-sensor-proxy-2.5-1.fc29.x86_64                           libdazzle-3.30.2-1.fc29.x86_64                               libdrm-2.4.96-1.fc29.x86_64                               libnfsidmap-1:2.3.3-1.rc1.fc29.x86_64                                   
  libreoffice-calc-1:6.1.2.1-2.fc29.x86_64                     libreoffice-core-1:6.1.2.1-2.fc29.x86_64                     libreoffice-data-1:6.1.2.1-2.fc29.noarch                  libreoffice-draw-1:6.1.2.1-2.fc29.x86_64                                
  libreoffice-emailmerge-1:6.1.2.1-2.fc29.x86_64               libreoffice-filters-1:6.1.2.1-2.fc29.x86_64                  libreoffice-graphicfilter-1:6.1.2.1-2.fc29.x86_64         libreoffice-gtk2-1:6.1.2.1-2.fc29.x86_64                                
  libreoffice-gtk3-1:6.1.2.1-2.fc29.x86_64                     libreoffice-help-en-1:6.1.2.1-2.fc29.x86_64                  libreoffice-impress-1:6.1.2.1-2.fc29.x86_64               libreoffice-langpack-en-1:6.1.2.1-2.fc29.x86_64                         
  libreoffice-math-1:6.1.2.1-2.fc29.x86_64                     libreoffice-opensymbol-fonts-1:6.1.2.1-2.fc29.noarch         libreoffice-pdfimport-1:6.1.2.1-2.fc29.x86_64             libreoffice-pyuno-1:6.1.2.1-2.fc29.x86_64                               
  libreoffice-ure-1:6.1.2.1-2.fc29.x86_64                      libreoffice-ure-common-1:6.1.2.1-2.fc29.noarch               libreoffice-writer-1:6.1.2.1-2.fc29.x86_64                libreoffice-x11-1:6.1.2.1-2.fc29.x86_64                                 
  libreoffice-xsltfilter-1:6.1.2.1-2.fc29.x86_64               libreofficekit-1:6.1.2.1-2.fc29.x86_64                       librsvg2-2.44.8-1.fc29.x86_64                             libsigc++20-2.10.1-1.fc29.x86_64                                        
  libsoup-2.64.2-1.fc29.x86_64                                 libwpd-0.10.2-4.fc29.x86_64                                  libxcrypt-4.2.3-1.fc29.x86_64                             libxcrypt-common-4.2.3-1.fc29.noarch                                    
  libxcrypt-devel-4.2.3-1.fc29.x86_64                          mesa-dri-drivers-18.2.3-1.fc29.x86_64                        mesa-filesystem-18.2.3-1.fc29.x86_64                      mesa-libEGL-18.2.3-1.fc29.x86_64                                        
  mesa-libGL-18.2.3-1.fc29.x86_64                              mesa-libOpenCL-18.2.3-1.fc29.x86_64                          mesa-libgbm-18.2.3-1.fc29.x86_64                          mesa-libglapi-18.2.3-1.fc29.x86_64                                      
  mesa-libxatracker-18.2.3-1.fc29.x86_64                       mesa-vulkan-drivers-18.2.3-1.fc29.x86_64                     nautilus-3.30.3-1.fc29.x86_64                             nautilus-extensions-3.30.3-1.fc29.x86_64                                
  nfs-utils-1:2.3.3-1.rc1.fc29.x86_64                          openssh-7.9p1-1.fc29.x86_64                                  openssh-clients-7.9p1-1.fc29.x86_64                       openssh-server-7.9p1-1.fc29.x86_64                                      
  orca-3.30.1-1.fc29.noarch                                    python3-firewall-0.6.3-1.fc29.noarch                         rpm-ostree-libs-2018.9-3.fc29.x86_64                      simple-scan-3.30.2-1.fc29.x86_64                                        
  tmux-2.8-1.fc29.x86_64                                       vte-profile-0.54.2-1.fc29.x86_64                             vte291-0.54.2-1.fc29.x86_64                               webkit2gtk3-2.22.3-1.fc29.x86_64                                        
  webkit2gtk3-jsc-2.22.3-1.fc29.x86_64                         webkit2gtk3-plugin-process-gtk2-2.22.3-1.fc29.x86_64         xen-libs-4.11.0-8.fc29.x86_64                             xen-licenses-4.11.0-8.fc29.x86_64                                       

Terminé !

#16 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 08:52:34

~> gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de lappel de StartServiceByName pour org.gnome.Terminal : Le délai dattente est dépassé
 ~> LANG=C gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de lappel de StartServiceByName pour org.gnome.Terminal : Le délai dattente est dépassé

#17 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 08:41:26

Nicosss a écrit :

Installe glibc-langpack-fr.

~# dnf install glibc-langpack-fr
Adobe Systems Incorporated                      2.7 kB/s | 2.9 kB     00:01    
Adobe Systems Incorporated                      2.7 kB/s | 2.9 kB     00:01    
Fedora Modular 29 - x86_64                       17 kB/s |  20 kB     00:01    
Fedora Modular 29 - x86_64 - Updates            6.8 kB/s |  25 kB     00:03    
Fedora 29 - x86_64 - Updates                     22 kB/s |  26 kB     00:01    
Fedora 29 - x86_64 - Updates                    1.7 MB/s | 5.8 MB     00:03    
Fedora 29 - x86_64                               10 kB/s |  19 kB     00:01    
google-chrome                                   915  B/s | 951  B     00:01    
RPM Fusion for Fedora 29 - Free - Updates       8.0 kB/s | 9.4 kB     00:01    
RPM Fusion for Fedora 29 - Free                  58 kB/s |  10 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree - Updates     53 kB/s | 9.6 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree               58 kB/s |  10 kB     00:00    
Le paquet glibc-langpack-fr-2.28-9.fc29.x86_64 est déjà installé.
Dépendances résolues.
Rien àfaire.
Terminé!

Le problème est ailleurs ....

#18 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 04/11/2018 02:22:58

~> locale
LANG=fr_FR.utf8
LC_CTYPE="fr_FR"
LC_NUMERIC="fr_FR"
LC_TIME="fr_FR"
LC_COLLATE="fr_FR"
LC_MONETARY="fr_FR"
LC_MESSAGES="fr_FR"
LC_PAPER="fr_FR"
LC_NAME="fr_FR"
LC_ADDRESS="fr_FR"
LC_TELEPHONE="fr_FR"
LC_MEASUREMENT="fr_FR"
LC_IDENTIFICATION="fr_FR"
LC_ALL=fr_FR
 ~> localectl
   System Locale: LANG=fr_FR.UTF-8
       VC Keymap: fr-oss
      X11 Layout: fr
     X11 Variant: oss

Enfin les libc:

~> rpm -qa glibc\*
glibc-langpack-en-2.28-9.fc29.x86_64
glibc-devel-2.28-9.fc29.x86_64
glibc-common-2.28-9.fc29.x86_64
glibc-headers-2.28-9.fc29.x86_64
glibc-all-langpacks-2.28-9.fc29.x86_64
glibc-2.28-9.fc29.x86_64

#19 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 19:45:57

Nicosss a écrit :

Essaye de mettre à jour gnome-terminal du coup

# dnf --enablerepo=*testing upgrade gnome-terminal

Edit : Modification ligne de commande + commentaire sur alternative terminal

J'ai bien la dernière version:

~]# dnf --enablerepo=*testing upgrade gnome-terminal
Fedora 29 - x86_64 - Test Updates               2.2 MB/s |  15 MB     00:06    
RPM Fusion for Fedora 29 - Free - Test Updates                                                                                                                                                                                  10 kB/s |  35 kB     00:03    
RPM Fusion for Fedora 29 - Nonfree - Test Updates                                                                                                                                                                              535  B/s | 1.2 kB     00:02    
Dépendances résolues.
Rien à faire.
Terminé!

N -ième tentative de lancer un terminal (échec toujours):

[root@localhost ~]# journalctl -f
-- Logs begin at Sat 2018-11-03 09:30:01 CET. --
nov. 03 18:39:40 localhost.localdomain dleyna-renderer-service[3192]: dLeyna: Exit
nov. 03 18:39:58 localhost.localdomain dbus-daemon[727]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
nov. 03 18:41:33 localhost.localdomain dbus-daemon[1489]: [session uid=1000 pid=1489] Failed to activate service 'org.gnome.Terminal': timed out (service_start_timeout=120000ms)
nov. 03 18:41:33 localhost.localdomain org.gnome.Shell.desktop[1631]: # Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Erreur lors de lappel de StartServiceByName pour org.gnome.Terminal : GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.gnome.Terminal': timed out (service_start_timeout=120000ms)
nov. 03 18:41:40 localhost.localdomain dbus-daemon[1489]: [session uid=1000 pid=1489] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.90' (uid=1000 pid=3277 comm="gnome-terminal --window " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
nov. 03 18:41:40 localhost.localdomain systemd[1461]: Starting GNOME Terminal Server...
nov. 03 18:41:40 localhost.localdomain gnome-terminal-server[3282]: Non UTF-8 locale (ISO-8859-1) is not supported!
nov. 03 18:41:40 localhost.localdomain systemd[1461]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
nov. 03 18:41:40 localhost.localdomain systemd[1461]: gnome-terminal-server.service: Failed with result 'exit-code'.
nov. 03 18:41:40 localhost.localdomain systemd[1461]: Failed to start GNOME Terminal Server.
^C
[root@localhost ~]# 

#20 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 14:12:10

Nicosss a écrit :

Il y a une version gnome-terminal-3.30.2-1.fc29.x86_64 dans Koji https://koji.fedoraproject.org/koji/bui … ID=1155990, c'est celle que j'utilise mais je n'ai pas eu ce désagrément.

Dans un tty laisse tourner les logs

# journalctl -f

puis dans ta session graphique essaye de démarrer gnome-terminal puis regarde les messages d'erreur en cas.

Le log:

nov. 03 12:48:01 localhost.localdomain kernel: rfkill: input handler disabled
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: The XKEYBOARD keymap compiler (xkbcomp) reports:
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: > Warning:          Unsupported maximum keycode 374, clipping.
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: >                   X11 cannot support keycodes above 255.
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: > Warning:          Unsupported high keycode 372 for name <I372> ignored
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: >                   X11 cannot support keycodes above 255.
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: >                   This warning only shows for the first high keycode.
nov. 03 12:48:01 localhost.localdomain org.gnome.Shell.desktop[1607]: Errors from xkbcomp are not fatal to the X server
nov. 03 12:48:06 localhost.localdomain org.gnome.Shell.desktop[1607]: libinput error: client bug: timer event3 debounce: offset negative (-10ms)

#21 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 14:09:07

J'ai enfin trouvé une solution pour avoir un  terminal !!
J'ai tout simplement installé rxvt via dnf, dans la console (forcement).

#22 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 13:10:36

Nicosss a écrit :

$ rpm -qa gnome-terminal

Ça retourne ça:

gnome-terminal-3.30.1-1.fc29.x86_64

#23 A propos de fedora-fr » Mettre à jour la page d'accueil du site fedora-fr (on est à f29) » 03/11/2018 13:01:49

fredo8
Réponses : 2

Bonjour,

Sur la page d’accueil du site il est écrit: "Fedora 28 est là !"
Maintenant, Fedora 29 est là ... wink

#24 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 12:34:35

Alors effectivement, une fois le processus d’installation terminée, le terminal se lançait bien.
Une mise à jour plus tard, le problème est de retour:
J'ai installé F29 à partir de l'iso d'un  DVD officiel téléchargée, puis gravé sur un  DVD.
==> redémarrage -> aucun pb pour lancer un terminal.
Puis, mise à jour du système via dnf.
Tout se passe bien.
Redémarrage, et là, impossibilité de lancer un terminal !!

Nicosss a écrit :

C'est à ce moment qu'il y a peut-être eu des suppressions.

Une installation propre ne fait pas de mal de temps en temps aussi.

100% D'accord avec toi Nicoss.
Donc le problème  vient d'une mise à jour ...
Reste à trouver laquelle ..

#25 Re : [F29] Support général » [Résolu] impossible de lancer un terminal » 03/11/2018 09:40:54

Nicosss a écrit :

Tu es sous Wayland/Xorg ? Gnome, KDE, Xfce, etc... ?

Je suis sous Gnome

Nicosss a écrit :

Tu as utilisé l'option allowerasing pour la mise à jour ?

Oui

Je vais réinstaller mais plus proprement, c'est à dire en démarrant sur le DVD après avoir gravé l'iso, et en formatant la partition  / .

Pied de page des forums

Propulsé par FluxBB